yum을 통해 업데이트를 하다 보면 /boot 파티션이 가득차 아래와 같은 에러를 뿜으며 업데이트가 되지 않는 경우가 있습니다.

Transaction check error:
  installing package kernel-3.10.0-693.17.1.el7.x86_64 needs 4MB on the /boot filesystem
Error Summary
-------------
Disk Requirements:
  At least 4MB more space needed on the /boot filesystem.

원인은 그동안 업데이트를 하면서 /boot/ 파티션에 쌓여 있는 이전버전의 커널 이미지들 때문입니다.
불필요한 기존 커널을 관리 하는 방법으로 다음 두 가지를 추천해 드립니다.

오래된 커널 지우기

package-cleanup --oldkernels --count=2

최신커널 2개를 제외한 나머지 오래된 커널을 삭제하는 명령어입니다.

package-cleanup 명령어가 실행이 되지 않는다면 yum install yum-utils 명령으로 설치해 주면 됩니다.

업데이트시 자동으로 오래된 커널 삭제
/etc/yum.conf를 열어 installonly_limit 값을 변경한다.

installonly_limit=2

default 값이 5인데 2로 바꾼다. 보관 커널의 갯수를 2개로 한다는 의미 입니다.

위 팁은 yum을 패키지 관리 하는 Redhat계열의 대부분의 OS에서 사용이 가능합니다.


0개의 댓글

댓글 남기기

이메일은 공개되지 않습니다. 필수 입력창은 * 로 표시되어 있습니다